function [] = plotCylindricalPayload(stewart, args)

arguments
    stewart
    args.H (1,1) double {mustBeNumeric, mustBePositive} = 100e-3
    args.R (1,1) double {mustBeNumeric, mustBePositive} = 50e-3
    args.H_offset (1,1) double {mustBeNumeric} = 0
    args.color (3,1) double {mustBeNumeric} = [0.5,0.5,0.5]
end

[X,Y,Z] = cylinder(args.R);
Z = args.H*Z + args.H_offset;
surf(X, Y, Z, 'facecolor', args.color, 'edgecolor', 'none')
fill3(X(1,:), Y(1,:), Z(1,:), 'k', 'facecolor', args.color)
fill3(X(2,:), Y(2,:), Z(2,:), 'k', 'facecolor', args.color)
